<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Recreating Codepen!</title>
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/meyer-reset/2.0/reset.css">
  <link rel="stylesheet" href="assets/css/main.css">
</head>

<body>
  <div class="overlay">
    <div class="modal">
      <header class="modal__header">
        <h3 class="modal__heading">MESSAGE</h3>
        <button class="button button--small hideModal">X</button>
      </header>
      <p>Byte text</p>
    </div>
</div>
  <div class="codepen">
    <header class="pen">
      <div class="pen__details">
        <h1>Some Amazing Pen Name</h1>
        <p class="pen__author">A Pen for Byteout Frontenders</p>
      </div>
      <div class="header__buttons">
        <button class="hamburger showModal">Menu</button>
        <button class="button button--dirty showModal">☁️ Save</button>
        <button class="button showModal">️️☁️ Save As Private</button>
        <button class="button showModal">⚙ Settings</button>
        <button class="button change-view">👀 Change View</button>
        <img src="https://s3-us-west-2.amazonaws.com/s.cdpn.io/28831/profile/profile-80.jpg?1" alt="My picture"
          height="44">
      </div>
    </header>
    <div class="code_and_result">
    <section class="code">
      <div class="editor">
        <header class="editor__header">
          <button class="button button--small editor__settings showModal">⚙</button>
          <h3 class="editor__heading">HTML</h3>
          <button class="button button--small editor__settings showModal">⌄</button>
        </header>
        <div class="editor__code">
          <div class="editor__gutter">
            <span class="editor__number">1</span>
          </div>

          <textarea class="editor__input" data-language="HTML"><p>Oh Hey There!</p></textarea>
        </div>
      </div>
      <div class="editor">
        <header class="editor__header">
          <button class="button button--small editor__settings showModal">⚙</button>
          <h3 class="editor__heading">CSS</h3>
          <button class="button button--small editor__settings showModal">⌄</button>
        </header>
        <div class="editor__code">
          <div class="editor__gutter">
            <span class="editor__number">1</span>
            <span class="editor__number">2</span>
            <span class="editor__number">3</span>
          </div>

          <textarea class="editor__input" data-language="CSS">.codepen {
  is: cool;
}
          </textarea>
        </div>

      </div>
      <div class="editor">
        <header class="editor__header">
          <button class="button button--small editor__settings showModal">⚙</button>
          <h3 class="editor__heading">JS</h3>
          <button class="button button--small editor__settings showModal">⌄</button>
        </header>
        <div class="editor__code">
          <div class="editor__gutter">
            <span class="editor__number">1</span>
          </div>
          <textarea class="editor__input" data-language="JS">const wes = 'coolest';</textarea>
        </div>

      </div>
    </section>
    <section class="preview">
      <iframe src="https://css-tricks.com" frameborder="0"></iframe>
    </section>
  </div>
    <footer class="settings">
      <button class="button button--small button--black showModal">Console</button>
      <button class="button button--small button--black showModal">Assets</button>
      <button class="button button--small button--black showModal">⌘</button>
    </footer>
  </div>

  <script src="./assets/js/controller/controllers.js"></script>
  <script src="./assets/js/main.js"></script>
</body>

</html>